sábado, julio 21, 2007

Canon IP1800 Drivers for Ubuntu Feisty - Drivers para Ubuntu

Esto va en doble idioma / If you want to read the english version scroll to the middle of the article.

La impresora Canon IP1800 es una buena combinación, económica inclusive en sus consumibles y buena calidad de impresión.

Hace poco compré una de estas, confiado porque en la página linuxprinting.org decía que funcionaba sin problemas con GNU/Linux. La verdad es que sí hay drivers para GNU/Linux distribuidos por Canon, pero sólo para sistemas que funcionen con RPM, por ende no funcionaba con Ubuntu o Debian, intenté transformarlos con alien (que permite convertir RPMs en paquetes Debian), luego de hacer pruebas y revisar la estructura logré reconstruir el paquete y hacerlo funcionar.

Para quienes lo necesiten, acá los drivers para esta impresora, los he probado en ubuntu Feisty(7.04):
Now for any english reader, the Canon IP1800 printer is a good pick, non expensive cartridges and a good printing quality.

Not so long ago I bought one of those, I got it being sure that it worked in GNU/Linux since I found it on linuxprinting.org, where it stated that had no problems. The truth is that Canon does distributes drivers for GNU/Linux, but only for distributions that work with RPM, that's why I couldn't get those to work under Ubuntu or Debian, I tried to transform them with alien, after testing and checking the structure I reconstructed the package and make it work. You can download the drivers just above this english text.

44 comentarios:

Anónimo dijo...

hola dime donde puedo encontrar los archivos en rpm que encontraste para red hat porque lo estoy buscando y no lo encuentro gracias.

Anónimo dijo...

mi correo oscaridiaquezmiller@yahoo.es si puedes enviarme el archivo en rpm para red-hat

Anónimo dijo...

Muchas Gracias, me funcionó perfectamente.
Sigue adelante y sobre todo, compartiendo tus experiencias

Anónimo dijo...

mira yo soy nuevo y acabo de instalar ubuntu y no c como instalar programas x fa ayudame como hacer para instalar programas mi correo es saravia1000@hotmial.com espero tu respuesta x fa la necesito

Anónimo dijo...

x fa ayudame a instalar programas mi correo es saravia1000@hotmial.com

Iván Gabriel dijo...

Para instalar programas y el resto de cosas básicas de cualquier sistema operativo te recomiendo que des una mirada a los tutoriales y guías que hay en internet, hay montones.

Por ejemplo te puedo dar un punto de inicio, revisa esta página:
http://www.guia-ubuntu.org/

Iván Gabriel dijo...

Para quienes buscaban la versión para RedHat y Open Suse (RPM)

Acá está la página de Canon donde están los drivers originales:

http://www.canon.com.au/products/printers/colour_bj_printers/ip1800_support.aspx

CAMILO LOPEZ dijo...

saludos

ya instale los drivers y aun no logro hacer que imprima me dice que esta lista pero cuando imprimo nada.

equipo: amd athlon xp k7 2.4

sistema ubuntu 7.04

agradesco su ayuda. para saver los posibles problemas que tenga.

Jason dijo...

hola tengo una impresora canon pixma ip 1800 instale los drivers y a la hora de imprimir me dice job stopped, y nunca imprime, que le estoy haciendo mal, solo tengo 15 dias de usar ubuntu 7.04

crovegno dijo...

Camilo, Jason, a mí me pasó lo mismo. Pero logré solucionarlo...

http://crovegnoux.blogspot.com/2007/09/canon-ip1800-en-feisty.html

Jason dijo...
Este comentario ha sido eliminado por el autor.
Jason dijo...

crovegno, gracias lo pude instalar pero ala hora de imprimir me dice job-stopped y nada que imprime, la verdad soy nuevo en esto de linx me gusta mucho, que piensa que hice mal? gracias

Anónimo dijo...

Gracias por ayudarnos! Las mujeres también podemos usar linux!!

John dijo...

Muchos Gracias!

Mahmoud Ahmadinejad dijo...

I found this useful, i got one printer of canon ip1880 and i have downloaded the driver from canon websites. But the printer still silent at all. Im gonna try your driver version, thnks.

Mahmoud Ahmadinejad dijo...

great!!!! it is now working, great job !!

Lex [OPS] dijo...

It works also in Gutsy Gibbon :-)
Gracias!

Roberto Alexander Robles dijo...

hola le agradeceria que me dijeran como instalar el driver de esta pagina en mi compoutadora soy nuevo usando linux Kubuntu podrian ayudarme no se que hacer

Anónimo dijo...

muchas gracias por la info! Instalé los drivers que proporcionas y todo funciona OK!

Anónimo dijo...

I have just purchase a Canon PIXMA IP1800,
and it would not run on Ubuntu Linux.
That was till I found you site with you Drivers. Please except my great full thanks, you made my day.
Muchas gratias. Paul

Yoshi dijo...

Gracias muy buen trabajo soy nuevo con linux y tenia rato de querer instalar mi impresora y con eso fue solo doble click segui adelante...

Edgarito dijo...

Gracias por los drivers para la impresora ip1800. Tengo instalada la versión Ubuntu Linux 7.10. Descargué los dos archivos, los instalé en el sistema e imprimí a la primera como impresora local. Luego conecté la impresora a otra computadora con Windows XP en la red e imprimí al primer intento desde la computadora Linux. Funcionó bien en conexión local y como impresora de red. Soy nuevo en Ubuntu Linux.

paul.lemagne dijo...

Hola ! No hablo espanol pero ingles ...

I have the drivfer above perfectly installed but cups says 'printer not connected' when the system says the printer is perfectly usb connected ...
I use K ubuntu 7.04

Anónimo dijo...

El driver no funciona en ubuntu hardy heron. Hay un problema con la dependencia libglib-1.2. Ojalá pudieras arregrarlo. Gracias.

paul.lemagne dijo...

I have upgraded to Ubuntu 7.10, installed the 2 .deb files and .... YES IT WORKS !!!

Thank you for all !!!

He aumentado a Ubuntu 7.10, instalado los 2 archivos del deb y.... ¡FUNCIONA!!!

¡Gracias por todos!!!

(con ayuda de http://babelfish.altavista.com/tr)

Chris dijo...

These drivers worked for me under 7.10 (Gutsy Gibbon). I installed both files and all dependencies that were requested. The printer would not work until I did the following:

Go to System>Administration>Printing
Select the iP1800_series
Under 'Make and Model' click change
Select 'Provide .PPD file'
Browse to /usr/share/cups/model/custom
Select canonip1800.ppd

It should work now. Print Test Page prints out the Ubuntu logo and uses a lot of colour so you may want to just print some text to verify that it's working.

Zlatan Kadragić dijo...

That driver do not work in Ubuntu 8.04 :(

be6 dijo...

Thx! I just installed the 2 drivers (7.10) & it prints! BobE

be6 dijo...

I upgraded to HH 8.04 LTS so I needed new drivers, found them here: http://hex1a4.net/xubuntu/howto.php?htid=04

Took me two tries but it worked gr8 on the 2nd try. I deleted the printer & reinstalled the driver & it worked well. BobE

Anónimo dijo...

al igual que la mayoria, soy nuevo en ubuntu tambien.
Al instalar los driver que aprecen aca no tengo problemas al instalar el "cnijfilter-common". Pero al instalar el otro me dice un error por las dependencias con "libglib1.2". Tengo ubuntu 7.10 y un intel core 2 duo.

si alguien me puede ayudar, gracias de antemano.

PD. mi mail es sebastian.monsalve@gmail.com

Valentina dijo...

hola, yo tengo una iP1800 y la quiero instalar en linux fedora core 7.

instale los siguientes rpm:
cnijfilter-common-2.70-1.i386.rpm
cnijfilter-ip1800series-2.70-1.i386.rpm

no tuvo problemas al instalarlos, pero ahora no imprime.. osea, la configuracion de la impresora tal vez no este bien, y realmente no tengo ni idea de como configurarla..

mi correo es valentinamv@yahoo.com, por favor para responderme manden al correo

muchas gracias,
saludos

Anónimo dijo...

Hola!!! Soy un principiante y tengo problemas con mi impresora. Es una canon ip 1800. El primer paquete se instala bien, pero el segundo me da un error de dependencia libglib 1.2. Instalé los libglib 1.2 que tengo en mi gestor de paquetes pero me sigue dando el mismo error. Que puedo hacer??? Muchas gracias!!! Yo uso ubuntu 8.04

Anónimo dijo...

Solucioné el problema de la dependencia libglib 1.2 descargando los drivers originales de la página de Canon, convirtiendo los RPM a DEB mediante el comando alien. Este se instala mediante

sudo apt-get install alien

luego instalé los paquetes gs-gpl, libpng3 e ijsgutenprint:

sudo apt-get install gs-gpl libng3 ijsgutenprint

Con esto me funciona.
Más información en:
http://crovegnoux.blogspot.com/2007/09/canon-ip1800-en-feisty.html

Lixxx dijo...

Me funcionó en Debian 4.0 etch, excelente aporte!!! Gracias

Anónimo dijo...

Hola:

Bueno de hecho que funciona en plataforma 32bit, tal vez puedas ayudarme a instalar en plataforma 64bits.

Gracias.

Sziráki Tamás dijo...

Hi,
I've tried your driver but broken package reported. I've found this http://www.gnupanama.com/error-en-canon-ip1300-causa-cups-solucionado/2008/10/20/ and it seems working. Thank You, too. :)

Fernando Leme dijo...

I'm trying for so long to make this printer work on ubuntu 8.10, and I'm really happy that I've found your post.
I'll follow your sugestions tomorow, looking forward that I could work it out.
As soon as possible I'll post here the results...
Thanks..

Daniel Alejandro Escobar Celis dijo...

buen dia me llamo daniel de Venezuela tengo Debian como hago para encontrar un driver para q la impresora cannon funcione

Sonsonateko dijo...

Muchisisisimas gracias por haber hecho este post de verdad...

Anónimo dijo...

Buena onda por los drivers pero solo con una duda como hago para que me imprima en rapida y no en estandar por que me esta comiendo mucha tina he googliando pero nada talves se pueda hacer algo por consola o editando algun archivo. y gracias por tu ayuda :)

Jorge Enrique dijo...

Hola, en verdad soy nuevo en esto y los drivers me dicen que la arquitectura no es la correcta, alguien me podria decir donde encuentro los drivers para un turion 64?? Gracias de antemano.

Fernandochile.blogspot.com dijo...

sirve en ubuntu 10.04 LTS?

febowill dijo...

Great site, very impressive.

online pharmacy

Sweet Fairy dijo...

This is so nice. Can i print Plastic cards by any laser printer?